package com.onmeetingsdk;

import androidx.annotation.NonNull;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class OnmeetingSdkPackage implements ReactPackage, IRNOnMeetingMeetViewReference {
  private RNOnMeetView mOnMeetView = null;

  @NonNull
  @Override
  public List<NativeModule> createNativeModules(@NonNull ReactApplicationContext reactContext) {
    List<NativeModule> modules = new ArrayList<>();
    modules.add(new OnmeetingSdkModule(reactContext, this));
    return modules;
  }

  @NonNull
  @Override
  public List<ViewManager> createViewManagers(@NonNull ReactApplicationContext reactContext) {
    return Arrays.<ViewManager>asList(
            new RNOnMeetingMeetViewManager(reactContext, this)
    );
  }

  @Override
  public void setOnMeetingMeetView(RNOnMeetView onMeetView) {
    mOnMeetView = onMeetView;
  }

  @Override
  public RNOnMeetView getOnMeetingMeetView() {
    return mOnMeetView;
  }
}
